package lib

import (
	"sync"
	"time"
)

type PerformanceMetrics struct {
	Mu               sync.Mutex
	TotalRequests    int32
	TotalResponses   int32
	TotalLatency     time.Duration
	MaxLatency       time.Duration
	MinLatency       time.Duration
	ResponseCounters map[int]int32
}

type RequestError struct {
	Verb string
	URL  string
	Err  error
}

type RequestPattern struct {
	Verb       string
	Percentage float64
	Sequence   int
}
